# $Revision: 1.28 $, $Date: 2008-01-03 12:34:54 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Inline
Summary:	Test::inline Perl module - embedded tests
Summary(pl.UTF-8):	Moduł Perla Test::Inline - wbudowane testy
Name:		perl-Test-Inline
Version:	2.208
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Test/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9f608e40b0c65d54eb430748b52393cc
URL:		http://search.cpan.org/dist/Test-Inline/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Algorithm-Dependency
BuildRequires:	perl-Class-Autouse
BuildRequires:	perl-File-chmod
BuildRequires:	perl-File-Find-Rule
BuildRequires:	perl-File-Flat
BuildRequires:	perl-File-Remove >= 0.38
BuildRequires:	perl-File-Slurp
BuildRequires:	perl-Params-Util
BuildRequires:	perl-Test-ClassAPI
BuildRequires:	perl-Test-Script
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Test::Inline Perl module provides utility functions to embedded tests.

%description -l pl.UTF-8
Moduł Perla Test::Data udostępnia funkcje pomocnicze do wbudowanych
testów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_bindir}/inline2test
%{perl_vendorlib}/Test/*.pm
%{perl_vendorlib}/Test/Inline
%{_mandir}/man[13]/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Inline.spec,v $
Revision 1.28  2008-01-03 12:34:54  qboosh
- generic URL

Revision 1.27  2007-12-30 23:20:53  zbyniu
- up to 2.208

Revision 1.26  2007-11-13 11:28:23  hawk
- requires perl-File-Remove >= 0.38 or tests will fail
- release 2

Revision 1.25  2007-11-13 10:34:41  hawk
- added missing BRs for --with tests, still doesn't work though :(

Revision 1.24  2007-09-11 08:00:25  arekm
- up to 2.207

Revision 1.23  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.21  2004/12/01 10:46:11  radek
- standarized Source0 URL

Revision 1.20  2004/11/03 22:30:47  paladine
- formatting

Revision 1.19  2004/11/02 06:58:54  ankry
- fixed attributes

Revision 1.18  2004/11/02 06:52:36  ankry
- package also pod2test, rel. 2

Revision 1.17  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.16  2004/05/06 18:21:14  ankry
- fixed perl-devel BR

Revision 1.15  2004/05/03 00:55:42  ankry
- license fixes, cosmetics

Revision 1.14  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.13  2004/04/15 21:24:54  ankry
- cosmetics

Revision 1.12  2004/01/25 00:07:49  arekm
- autoupdated to 0.16

Revision 1.11  2003/09/09 10:24:50  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:18  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/15 12:29:28  radek
- removed the %{perl_vendorlib}/Pod directory, it belongs to perl

Revision 1.5  2003/03/01 21:34:39  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:33  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:37  ankry
- massive attack: change CPAN URLs

Revision 1.2  2003/01/20 19:37:31  qboosh
- better pl description

Revision 1.1  2003/01/07 16:36:52  tjbynum
- new, STBR.
